help-cfengine
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Large install and roll-out


From: Adrian Phillips
Subject: Re: Large install and roll-out
Date: 11 Mar 2002 11:01:19 +0100
User-agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.1

>>>>> "Rune" == Rune Mossige <address@hidden> writes:

    Rune> This looks really handy. Do You compile amd build Your own
    Rune> kernels, or do You use pre-made images off Debian?

I compile my own to cut down on unnecessary modules.

    Rune> I see that apt-get is available for RedHat, with lots of
    Rune> examples. Would a Debial kernel-image work at all on a
    Rune> RedHat Linux system?

Not necessarily. A debian kernel image is a still a .deb, no a .rpm,
although you can always use alien to install; there may be ways to do
some of what apt does using rpm but I don't know rpm so can't help
there.

But, if you're willing to research apt-get then it will solve a lot of
the problems with running under cfengine, that is, automatic package
upgrading, being able to call apt-get continuously from cfengine
without continually reinstalling packages (apt sees the package is
already installed at the current version, although perhaps rpm does
this itself).

Another example from my cf.standard :-

        # Sync APT archive first so any other routines use
        # an uptodate archive; only do this once a day
        linux.Hr06::
                # Skip the update til we decide what to upgrade
                # against (potato to old, testing perhaps to
                # unstable currently)
                #"/usr/bin/apt-get -q -q update"

        linux::
                # Install some more useful packages (binutils contains strings)
                # and upgrade others (want ssh with V2 support)
                # - make sure sysvinit is latest woody as it has a fix for
                #   switching from S to 2 runlevels
                # - make sure cfengine is upgraded
                # - and make sure apt is newer version
                # - use netcat in place of telnet for testing network
                # - netpipe is a network performance tool
                "/usr/bin/apt-get -q -q -y install less emacs21 rsync man-db 
logrotate sysstat logcheck sash binutils ssh traceroute nictools-pci dnsutils 
ipgrab sysvinit cfengine apt netcat netpipe-tcp"

                # And remove any unnecessary ones
                # - don't encourage telnet use !!
                # - using emacs21 now
                "/usr/bin/apt-get -qq --purge remove telnet emacs20"

Note the fact the apt-get update is commented out currently. I'm
waiting for the the next Debian release to become stable before doing
this (currently the machines are based upon woody which is Debian's
next release still in testing). Once this becomes stable I'll
uncomment this and that means that any new packages (normally only
security packages) will be upgraded automatically.

The other point here is that purge is rather uneccesary to leave in
but apt-get is rather quick on even somewhat older hardware so its not
a problem to levae it in; plus the fact that any new machines I setup
from my custom install CD, which contains telnet, need to have that
deleted.

Anyway, hope these ramblings are of some use,

Sincerely,

Adrian Phillips

-- 
Your mouse has moved.
Windows NT must be restarted for the change to take effect.
Reboot now?  [OK]



reply via email to

[Prev in Thread] Current Thread [Next in Thread]